Creates a new db_info_data_article object
Request Information
URI Parameters :
None.
Body Parameters :
db_info_data_article| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| article_id |
Foreign key of the object using his Odyssee Guid Primary Key |
globally unique identifier |
Optionally required : article_id or article_code must be provided |
| article_code |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : article_id or article_code must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "2cf3c4a5-9cde-46cb-ab29-c78591388d4f",
"article_id": "5c65f2d4-b0a4-4388-a3bd-8f418d284735",
"article_code": "sample string 3",
"db_info_field_id": "e849fe23-8126-409c-b72c-3451b0737e82",
"db_info_field_name": "sample string 5",
"value": "sample string 6",
"reference_back_office": "sample string 7",
"sys_logical_delete": true,
"modified_dateutc": "2025-12-05T18:47:41.9857305+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.